[Midnightbsd-cvs] src [9747] trunk/libexec: add makewhatis.local here instead
laffer1 at midnightbsd.org
laffer1 at midnightbsd.org
Fri Jan 19 00:22:43 EST 2018
Revision: 9747
http://svnweb.midnightbsd.org/src/?rev=9747
Author: laffer1
Date: 2018-01-19 00:22:42 -0500 (Fri, 19 Jan 2018)
Log Message:
-----------
add makewhatis.local here instead
Modified Paths:
--------------
trunk/libexec/Makefile
Added Paths:
-----------
trunk/libexec/makewhatis.local/
trunk/libexec/makewhatis.local/Makefile
trunk/libexec/makewhatis.local/makewhatis.local.8
trunk/libexec/makewhatis.local/makewhatis.local.sh
Modified: trunk/libexec/Makefile
===================================================================
--- trunk/libexec/Makefile 2018-01-19 05:16:09 UTC (rev 9746)
+++ trunk/libexec/Makefile 2018-01-19 05:22:42 UTC (rev 9747)
@@ -11,6 +11,7 @@
ftpd \
getty \
${_mail.local} \
+ ${_makewhatis.local} \
${_mknetid} \
mport.check-fake \
mport.check-for-older \
@@ -83,6 +84,10 @@
_smrsh= smrsh
.endif
+.if ${MK_MAN_UTILS} != "no"
+_makewhatis.local= makewhatis.local
+.endif
+
.if ${MK_TELNET} != "no"
_telnetd= telnetd
.endif
Added: trunk/libexec/makewhatis.local/Makefile
===================================================================
--- trunk/libexec/makewhatis.local/Makefile (rev 0)
+++ trunk/libexec/makewhatis.local/Makefile 2018-01-19 05:22:42 UTC (rev 9747)
@@ -0,0 +1,8 @@
+# $MidnightBSD$
+# $FreeBSD: head/libexec/makewhatis.local/Makefile 323550 2017-09-13 16:35:16Z gordon $
+
+SCRIPTS= makewhatis.local.sh
+MAN= makewhatis.local.8
+SCRIPTSDIR= ${LIBEXECDIR}
+
+.include <bsd.prog.mk>
Property changes on: trunk/libexec/makewhatis.local/Makefile
___________________________________________________________________
Added: svn:eol-style
## -0,0 +1 ##
+native
\ No newline at end of property
Added: svn:keywords
## -0,0 +1 ##
+MidnightBSD=%H
\ No newline at end of property
Added: svn:mime-type
## -0,0 +1 ##
+text/plain
\ No newline at end of property
Added: trunk/libexec/makewhatis.local/makewhatis.local.8
===================================================================
--- trunk/libexec/makewhatis.local/makewhatis.local.8 (rev 0)
+++ trunk/libexec/makewhatis.local/makewhatis.local.8 2018-01-19 05:22:42 UTC (rev 9747)
@@ -0,0 +1,71 @@
+.\" Copyright (c) April 1996 Wolfram Schneider <wosch at FreeBSD.org>. Berlin.
+.\" All rights reserved.
+.\"
+.\" Redistribution and use in source and binary forms, with or without
+.\" modification, are permitted provided that the following conditions
+.\" are met:
+.\" 1. Redistributions of source code must retain the above copyright
+.\" notice, this list of conditions and the following disclaimer.
+.\" 2. Redistributions in binary form must reproduce the above copyright
+.\" notice, this list of conditions and the following disclaimer in the
+.\" documentation and/or other materials provided with the distribution.
+.\"
+.\" THIS SOFTWARE IS PROVIDED BY THE AUTHOR AND CONTRIBUTORS ``AS IS'' AND
+.\" ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
+.\" IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
+.\" ARE DISCLAIMED. IN NO EVENT SHALL THE AUTHOR OR CONTRIBUTORS BE LIABLE
+.\" FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL
+.\" DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS
+.\" OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)
+.\" HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT
+.\" LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY
+.\" OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
+.\" SUCH DAMAGE.
+.\"
+.\" $FreeBSD: head/libexec/makewhatis.local/makewhatis.local.8 323550 2017-09-13 16:35:16Z gordon $
+.\" $MidnightBSD$
+.\"
+.Dd April 26, 1996
+.Dt MAKEWHATIS.LOCAL 8
+.Os
+.Sh NAME
+.Nm makewhatis.local
+.Nd start makewhatis for local file systems
+.Sh SYNOPSIS
+.Nm /usr/libexec/makewhatis.local
+.Op options
+.Ar directories ...
+.Sh DESCRIPTION
+The
+.Nm
+utility starts
+.Xr makewhatis 1
+only for file systems physically mounted on the system
+where
+.Nm
+is being executed.
+Running makewhatis
+by
+.Pa periodic weekly
+for rw nfs-mounted /usr may kill
+your NFS server -- all NFS clients start makewhatis at the same time!
+So use this wrapper for
+.Xr cron 8
+instead of calling makewhatis directly.
+.Sh FILES
+.Bl -tag -width /etc/periodic/weekly/320.whatis.XXX -compact
+.It Pa /etc/periodic/weekly/320.whatis
+run
+.Nm
+every week
+.El
+.Sh SEE ALSO
+.Xr find 1 ,
+.Xr makewhatis 1 ,
+.Xr cron 8 ,
+.Xr periodic 8
+.Sh HISTORY
+The
+.Nm
+utility appeared in
+.Fx 2.2 .
Property changes on: trunk/libexec/makewhatis.local/makewhatis.local.8
___________________________________________________________________
Added: svn:eol-style
## -0,0 +1 ##
+native
\ No newline at end of property
Added: svn:keywords
## -0,0 +1 ##
+MidnightBSD=%H
\ No newline at end of property
Added: svn:mime-type
## -0,0 +1 ##
+text/plain
\ No newline at end of property
Added: trunk/libexec/makewhatis.local/makewhatis.local.sh
===================================================================
--- trunk/libexec/makewhatis.local/makewhatis.local.sh (rev 0)
+++ trunk/libexec/makewhatis.local/makewhatis.local.sh 2018-01-19 05:22:42 UTC (rev 9747)
@@ -0,0 +1,57 @@
+#!/bin/sh
+#
+# Copyright (c) April 1996 Wolfram Schneider <wosch at FreeBSD.org>. Berlin.
+# All rights reserved.
+#
+# Redistribution and use in source and binary forms, with or without
+# modification, are permitted provided that the following conditions
+# are met:
+# 1. Redistributions of source code must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+# 2. Redistributions in binary form must reproduce the above copyright
+# notice, this list of conditions and the following disclaimer in the
+# documentation and/or other materials provided with the distribution.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR AND CONTRIBUTORS ``AS IS'' AND
+# ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
+# IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
+# ARE DISCLAIMED. IN NO EVENT SHALL THE AUTHOR OR CONTRIBUTORS BE LIABLE
+# FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL
+# DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS
+# OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)
+# HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT
+# LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY
+# OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
+# SUCH DAMAGE.
+#
+# makewhatis.local - start makewhatis(1) only for file systems
+# physically mounted on the system
+#
+# Running makewhatis from /etc/periodic/weekly/320.whatis for rw nfs-mounted
+# /usr may kill your NFS server -- all clients start makewhatis at the same
+# time! So use this wrapper instead calling makewhatis directly.
+#
+# $FreeBSD: head/libexec/makewhatis.local/makewhatis.local.sh 323550 2017-09-13 16:35:16Z gordon $
+# $MidnightBSD$
+
+PATH=/bin:/usr/bin:$PATH; export PATH
+opt= dirs= localdirs=
+
+for arg
+do
+ case "$arg" in
+ -*) opt="$opt $arg";;
+ *) dirs="$dirs $arg";;
+ esac
+done
+
+dirs=`echo $dirs | sed 's/:/ /g'`
+case X"$dirs" in X) echo "usage: $0 [options] directories ..."; exit 1;; esac
+
+localdirs=`find -H $dirs -fstype local -type d -prune -print`
+
+case X"$localdirs" in
+ X) echo "$0: no local-mounted manual directories found: $dirs"
+ exit 1;;
+ *) exec `basename $0 .local` $opt $localdirs;;
+esac
Property changes on: trunk/libexec/makewhatis.local/makewhatis.local.sh
___________________________________________________________________
Added: svn:eol-style
## -0,0 +1 ##
+native
\ No newline at end of property
Added: svn:keywords
## -0,0 +1 ##
+MidnightBSD=%H
\ No newline at end of property
Added: svn:mime-type
## -0,0 +1 ##
+text/plain
\ No newline at end of property
More information about the Midnightbsd-cvs
mailing list